/* -------------------------------------------------------------------------
	enchant.js ラベル表示を関数化する

					created at 2021-10-07 on torisky.com
------------------------------------------------------------------------- */

let game = null;	// このゲーム
let title = null;	// ラベル表示用

/*
 * ラベル表示関数
 * 	(文字列, X座標, Y座標, 文字色)
 */
function setLabel(text, x, y, color){
	let label = new Label(text);		// ラベル生成と文字列設定

	label.x = x;					// X座標
	label.y = y;					// Y座標
	label.color = color;			// 文字色

	label.font = "48px Impact";		// フォントサイズとフォント名
	label.opacity = 0.7;			// 不透明度
	
	game.rootScene.addChild(label);	// シーンに追加
	
	return(label);					// ラベルオブジェクトを呼び出し元に返す
}

/*
 * 起動処理
 */
window.addEventListener("load", function(){
	enchant();										// 必須

	game = new Core(320, 320);						// ゲームステージ
	game.rootScene.backgroundColor = "deepskyblue";	// シーンの背景色
	game.preload("chara1.png");						//ゲームで使う画像
	game.fps = 30;									// フレームレート

	game.addEventListener("load", function(){
		let bear = new Sprite(32, 32);					// スプライトを定義
		bear.image = game.assets["chara1.png"];
		game.rootScene.addChild(bear);				// シーンに追加

		bear.frame = [1, 1, 2, 2];			// スプライトのフレーム
		bear.moveTo(0, 160);				// スプライトの初期位置
		
		bear.tl.moveBy(288, 0, 90)			// スプライトの移動
			.scaleTo(-1, 1, 10)
			.moveBy(-288, 0, 90)
			.scaleTo(1, 1, 10)
			.loop();
		
		// ラベル生成（これ以降変数titleで生成したラベルを制御できる）
		title = setLabel("enchant.js!", 55, 120, "#FFF");
		
		// 実行中の処理
		game.addEventListener("enterframe", function(){
			// クマの位置によりラベル表示テキストを変更
			if(bear.x > 160){
				title.text = "Game Engine";
				title.x = 40;
			}
			else{
				title.text = "enchant.js!";
				title.x = 55;
			}
		});
	});

	game.start();								// ゲーム開始

});
